#include <windows.h>
#include "events.h"

HRESULT STDMETHODCALLTYPE WebBrowserEventClass::Invoke(DISPID             dispIdMember,
                                                       REFIID             riid,
                                                       LCID               lcid,
                                                       WORD               wFlags,
                                                       DISPPARAMS   FAR  *pDispParams,
                                                       VARIANT      FAR  *pVarResult,
                                                       EXCEPINFO    FAR  *pExcepInfo,
                                                       unsigned int FAR  *puArgErr)
{
   if(dispIdMember == DISPID_TITLECHANGE)
   {
      if(pDispParams->rgvarg[0].vt == VT_BSTR)
      {
         BSTR bstr = pDispParams->rgvarg[0].bstrVal;
         char Text[1024];
         WideCharToMultiByte(CP_ACP, 0, bstr, -1, Text, 1024, 0, 0);
         SetWindowText(WebCtrl->WebHost->GetHwnd(), Text); //Fixme
      }
   }
   else if(dispIdMember == DISPID_NAVIGATECOMPLETE2)
   {
      if(pDispParams->rgvarg[0].vt == (VT_BYREF|VT_VARIANT))
      {
         VARIANT FAR *Val = pDispParams->rgvarg[0].pvarVal;
         WebCtrl->WebHost->SetUrl(Val->bstrVal);
      }
   }
   return S_OK;
}
