#include "storage.h"

STDMETHODIMP NullStorageClass::QueryInterface(REFIID riid,void ** ppvObject)
{
   return S_OK;
}

STDMETHODIMP_(ULONG) NullStorageClass::AddRef(void)
{
   return 1;
}

STDMETHODIMP_(ULONG) NullStorageClass::Release(void)
{
   return 1;
}

STDMETHODIMP NullStorageClass::CreateStream(const WCHAR * pwcsName,DWORD grfMode,DWORD reserved1,DWORD reserved2,IStream ** ppstm)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::OpenStream(const WCHAR * pwcsName,void * reserved1,DWORD grfMode,DWORD reserved2,IStream ** ppstm)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::CreateStorage(const WCHAR * pwcsName,DWORD grfMode,DWORD reserved1,DWORD reserved2,IStorage ** ppstg)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::OpenStorage(const WCHAR * pwcsName,IStorage * pstgPriority,DWORD grfMode,SNB snbExclude,DWORD reserved,IStorage ** ppstg)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::CopyTo(DWORD ciidExclude,IID const * rgiidExclude,SNB snbExclude,IStorage * pstgDest)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::MoveElementTo(const OLECHAR * pwcsName,IStorage * pstgDest,const OLECHAR* pwcsNewName,DWORD grfFlags)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::Commit(DWORD grfCommitFlags)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::Revert(void)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::EnumElements(DWORD reserved1,void * reserved2,DWORD reserved3,IEnumSTATSTG ** ppenum)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::DestroyElement(const OLECHAR * pwcsName)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::RenameElement(const WCHAR * pwcsOldName,const WCHAR * pwcsNewName)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::SetElementTimes(const WCHAR * pwcsName,FILETIME const * pctime,FILETIME const * patime,FILETIME const * pmtime)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::SetClass(REFCLSID clsid)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::SetStateBits(DWORD grfStateBits,DWORD grfMask)
{
   return S_OK;
}

STDMETHODIMP NullStorageClass::Stat(STATSTG * pstatstg,DWORD grfStatFlag)
{
   return S_OK;
}
